### Function

# Mtk compute_viewport_matrix

#### Declaration [src]

    void
    mtk_compute_viewport_matrix (
      graphene_matrix_t* matrix,
      int width,
      int height,
      float scale,
      MtkMonitorTransform transform,
      const graphene_rect_t* src_rect
    )

#### Description

No description available.

#### Parameters

`matrix`

  Type: `graphene_matrix_t`

  No description available.

  The data is owned by the caller of the function.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`scale`

  Type: `float`

  No description available.

`transform`

  Type: `MtkMonitorTransform`

  No description available.

`src_rect`

  Type: `graphene_rect_t`

  No description available.

  The data is owned by the caller of the function.